%global srcname os_virtual_interfacesv2_python_novaclient_ext
%global sum Adds Virtual Interfaces support to python-novaclient

Name:		python-%{srcname}
Version:	0.19
Release:	1%{dist}
Summary:	%{sum}
License:	ASL 2.0
Group:		Development/Libraries
URL:		http://pypi.python.org/pypi/%{srcname}
Source0:	https://pypi.python.org/packages/source/o/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	python2-devel

%description
Adds virtual interface extension support to python-novaclient.

%package -n python2-%{srcname}
Summary:	%{sum}
BuildRequires:	python-novaclient
Requires:	python-novaclient
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Adds virtual interface extension support to python-novaclient.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build

%install
%py2_install

%check
%{__python2} setup.py test

%files -n python2-%{srcname}
%doc README.rst
%{python2_sitelib}/*

%changelog
* Mon Nov 30 2015 Christos Triantafyllidis <christos.triantafyllidis@gmail.com> - 0.19-1
- Initial package

